Bug 169269 - Error in script /usr/lib/squid/wbinfo_group.pl
Error in script /usr/lib/squid/wbinfo_group.pl
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: squid (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
:
Depends On:
Blocks: 168424
  Show dependency treegraph
 
Reported: 2005-09-26 07:05 EDT by Pietro Sini
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHSA-2006-0045
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-15 10:43:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pietro Sini 2005-09-26 07:05:45 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; it-IT; rv:1.7.10) Gecko/20050717 Firefox/1.0.6 (ax)

Description of problem:
Using the winbind helper you get bash syntax errors (visible in /var/log/squid/cache.log )

This is due to an error in the wbinfo_group.pl perl script, in line 37.
It should be:

$groupGID = `wbinfo -Y "$groupSID"`;

instead of:

$groupGID = `wbinfo -Y $groupSID`;

Version-Release number of selected component (if applicable):
squid-2.5.STABLE3-6.3E.14

How reproducible:
Always

Steps to Reproduce:
1.Configure Samba and squid in order to use winbind authentication for squid (via wbinfo_group.pl)

2.Send a web request to squid with a valid Windows domain user.
3.Check /var/log/squid/cache.log
  

Actual Results:  Access denied in squid and errors in log.

Expected Results:  The user should be authenticated, being a valid domain user.

Additional info:
Comment 2 Martin Stransky 2005-11-15 07:26:23 EST
The new release-candidate packages for RHEL3/4 are available here:

http://people.redhat.com/stransky/squid/
Comment 5 Red Hat Bugzilla 2006-03-15 10:43:48 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0045.html

Note You need to log in before you can comment on or make changes to this bug.